Bug 237178 - security/py-pywinrm: Enable Python 3.x support
Summary: security/py-pywinrm: Enable Python 3.x support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kubilay Kocak
URL:
Keywords: easy
Depends on:
Blocks:
 
Reported: 2019-04-10 09:45 UTC by timp87
Modified: 2019-05-24 09:02 UTC (History)
2 users (show)

See Also:
rozhuk.im: maintainer-feedback+
koobs: merge-quarterly+


Attachments
port patch (524 bytes, patch)
2019-04-10 09:45 UTC, timp87
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description timp87 2019-04-10 09:45:43 UTC
Created attachment 203563 [details]
port patch

- Allow build with python3 (it's limited to python2.7 now)
- Move NO_ARCH to make portlint happier
Comment 1 timp87 2019-04-10 10:04:18 UTC
FYI I checked security/py-pywinrm@py36 with at least basic and ntlm authentication.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2019-04-14 07:14:04 UTC
FWIW, upstream:

- Appears only to be testing up to 3.6 [1]
- Only specifies up to 3.5 in the README (presumably out of date) [2]
- Declares up to 3.6 in its Trove Classifiers [3]

[1] https://github.com/diyan/pywinrm/blob/master/.travis.yml
[2] CPython 2.6-2.7, 3.3-3.5 or PyPy2
[3] setup.py: 'Programming Language :: Python :: 3.6'
Comment 3 timp87 2019-04-14 07:39:36 UTC
(In reply to Kubilay Kocak from comment #2)

Should I test it with various python releases?
I seems like we have 
python27
python35
python36
python37
in ports tree now. Am I right?
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2019-04-14 07:50:31 UTC
I'll be adding TEST_DEPENDS and a test target so the port can be properly QA'd against multiple releases.
Comment 5 commit-hook freebsd_committer 2019-04-15 06:03:31 UTC
A commit references this bug:

Author: koobs
Date: Mon Apr 15 06:02:47 UTC 2019
New revision: 498996
URL: https://svnweb.freebsd.org/changeset/ports/498996

Log:
  security/py-pywinrm: Allow builds with Python 3.x

  Upstream supports and tests against up to Python 3.6 [1] and declares up to
  3.6 in its Trove Classifiers [2].

  Fix incorrect Python version support declaration in USES=python accordingly,
  allowing Python 3.x builds. [3]

  While I'm here, add TEST_DEPENDS and a test target to help with QA.

  [1] https://github.com/diyan/pywinrm/blob/master/.travis.yml
  [2] setup.py: 'Programming Language :: Python :: 3.6'

  PR:		237178 [3]
  Reported by:	<timp87 gmail com> [3]
  Approved by:	portmgr (blanket: bug fix, framework compliance)
  MFH:		2019Q2

Changes:
  head/security/py-pywinrm/Makefile
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2019-04-15 06:06:13 UTC
Pending MFH
Comment 7 commit-hook freebsd_committer 2019-05-24 09:01:20 UTC
A commit references this bug:

Author: koobs
Date: Fri May 24 09:00:46 UTC 2019
New revision: 502431
URL: https://svnweb.freebsd.org/changeset/ports/502431

Log:
  MFH: r498996 security/py-pywinrm: Allow builds with Python 3.x

  Upstream supports and tests against up to Python 3.6 [1] and declares up to
  3.6 in its Trove Classifiers [2].

  Fix incorrect Python version support declaration in USES=python accordingly,
  allowing Python 3.x builds. [3]

  While I'm here, add TEST_DEPENDS and a test target to help with QA.

  [1] https://github.com/diyan/pywinrm/blob/master/.travis.yml
  [2] setup.py: 'Programming Language :: Python :: 3.6'

  PR:		237178 [3]
  Reported by:	<timp87 gmail com> [3]
  Approved by:	portmgr (blanket: bug fix, framework compliance)

  Approved by:	ports-secteam (blanket: bugfix)

Changes:
_U  branches/2019Q2/
  branches/2019Q2/security/py-pywinrm/Makefile